# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit subversion

ESVN_REPO_URI="http://sdl-wii.googlecode.com/svn/trunk"
ESVN_PROJECT="sdl-wii"

DESCRIPTION="A port of the SDL libs for the Wii"
HOMEPAGE="http://code.google.com/p/sdl-wii/"

LICENSE=""
SLOT="0"
KEYWORDS="~x86"
IUSE=""

RDEPEND="dev-util/devkitppc-bin
	dev-libs/libogc-bin
	dev-libs/libfat-ogc-bin
	dev-libs/portlibs-ppc-bin"

DEPEND="${RDEPEND}"

DEVKITPRO=/opt/devkitpro
RESTRICT="strip"

src_unpack() {
	subversion_src_unpack
	cd "${S}"
	
	epatch "${FILESDIR}/${P}"_fix_build.patch
}

src_compile() {
	emake || die "make failed"
}

src_install() {
	insinto "${DEVKITPRO}"/libogc/include/SDL
	doins SDL/include/* || die "include files installation failed"
	doins SDL_gfx/include/* || die "include files installation failed"
	doins SDL_image/include/* || die "include files installation failed"
	doins SDL_mixer/include/* || die "include files installation failed"
	doins SDL_net/include/* || die "include files installation failed"
	doins SDL_ttf/include/* || die "include files installation failed"
	doins smpeg/include/* || die "include files installation failed"

	insinto "${DEVKITPRO}"/libogc/lib/wii
	doins SDL/lib/*.a || die "lib files installation failed"
	doins SDL_gfx/lib/*.a || die "lib files installation failed"
	doins SDL_image/lib/*.a || die "lib files installation failed"
	doins SDL_mixer/lib/*.a || die "lib files installation failed"
	doins SDL_net/lib/*.a || die "lib files installation failed"
	doins SDL_ttf/lib/*.a || die "lib files installation failed"
	doins smpeg/lib/*.a || die "lib files installation failed"
}
